package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class Participant {

    @SerializedName("userid")
    @Expose
    private String userid;
    @SerializedName("is_attendance")
    @Expose
    private String isAttendance;
    @SerializedName("remarks")
    @Expose
    private String remarks;
    @SerializedName("score")
    @Expose
    private String score;
    @SerializedName("assessment_score")
    @Expose
    private String assessmentScore;
    @SerializedName("absence_reason")
    @Expose
    private String absenceReason;
    @SerializedName("manual_attendance_reason")
    @Expose
    private String manualAttendanceReason;
    @SerializedName("smpin")
    @Expose
    private String smpin;
    @SerializedName("status")
    @Expose
    private String status;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("profile_photo")
    @Expose
    private String profilePhoto;
    @SerializedName("dealer_name")
    @Expose
    private String dealerName;
    @SerializedName("creatorid")
    @Expose
    private String creatorid;
    @SerializedName("attendance")
    @Expose
    private List<Object> attendance = null;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getIsAttendance() {
        return isAttendance;
    }

    public void setIsAttendance(String isAttendance) {
        this.isAttendance = isAttendance;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getAssessmentScore() {
        return assessmentScore;
    }

    public void setAssessmentScore(String assessmentScore) {
        this.assessmentScore = assessmentScore;
    }

    public String getAbsenceReason() {
        return absenceReason;
    }

    public void setAbsenceReason(String absenceReason) {
        this.absenceReason = absenceReason;
    }

    public String getManualAttendanceReason() {
        return manualAttendanceReason;
    }

    public void setManualAttendanceReason(String manualAttendanceReason) {
        this.manualAttendanceReason = manualAttendanceReason;
    }

    public String getSmpin() {
        return smpin;
    }

    public void setSmpin(String smpin) {
        this.smpin = smpin;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProfilePhoto() {
        return profilePhoto;
    }

    public void setProfilePhoto(String profilePhoto) {
        this.profilePhoto = profilePhoto;
    }

    public String getDealerName() {
        return dealerName;
    }

    public void setDealerName(String dealerName) {
        this.dealerName = dealerName;
    }

    public String getCreatorid() {
        return creatorid;
    }

    public void setCreatorid(String creatorid) {
        this.creatorid = creatorid;
    }

    public List<Object> getAttendance() {
        return attendance;
    }

    public void setAttendance(List<Object> attendance) {
        this.attendance = attendance;
    }

}